import { Description } from "./Description";
import { FormatSpecifierDescription } from "./FormatSpecifierDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class PieChartBaseDescription extends Description {
    static $t: Type;
    private ch;
    get tooltipTemplateRef(): string;
    set tooltipTemplateRef(a: string);
    private bg;
    get fontFamily(): string;
    set fontFamily(a: string);
    private al;
    get fontSize(): number;
    set fontSize(a: number);
    private bi;
    get fontWeight(): string;
    set fontWeight(a: string);
    private bh;
    get fontStyle(): string;
    set fontStyle(a: string);
    protected get_type(): string;
    get type(): string;
    constructor();
    private bf;
    get dataSourceRef(): string;
    set dataSourceRef(a: string);
    private am;
    get innerExtent(): number;
    set innerExtent(a: number);
    private ci;
    get valueMemberPath(): string;
    set valueMemberPath(a: string);
    private bo;
    get labelMemberPath(): string;
    set labelMemberPath(a: string);
    private bw;
    get legendLabelMemberPath(): string;
    set legendLabelMemberPath(a: string);
    private bq;
    get labelsPosition(): string;
    set labelsPosition(a: string);
    private bp;
    get labelOuterColor(): string;
    set labelOuterColor(a: string);
    private bn;
    get labelInnerColor(): string;
    set labelInnerColor(a: string);
    private be;
    get actualLabelOuterColor(): string;
    set actualLabelOuterColor(a: string);
    private bd;
    get actualLabelInnerColor(): string;
    set actualLabelInnerColor(a: string);
    private bs;
    get leaderLineVisibility(): string;
    set leaderLineVisibility(a: string);
    private br;
    get leaderLineType(): string;
    set leaderLineType(a: string);
    private ao;
    get leaderLineMargin(): number;
    set leaderLineMargin(a: number);
    private ar;
    get othersCategoryThreshold(): number;
    set othersCategoryThreshold(a: number);
    private b2;
    get othersCategoryType(): string;
    set othersCategoryType(a: string);
    private b1;
    get othersCategoryText(): string;
    set othersCategoryText(a: string);
    private ak;
    get explodedRadius(): number;
    set explodedRadius(a: number);
    private at;
    get radiusFactor(): number;
    set radiusFactor(a: number);
    private aa;
    get allowSliceSelection(): boolean;
    set allowSliceSelection(a: boolean);
    private z;
    get allowSliceExplosion(): boolean;
    set allowSliceExplosion(a: boolean);
    private i;
    get explodedSlices(): number[];
    set explodedSlices(a: number[]);
    private by;
    get legendRef(): string;
    set legendRef(a: string);
    private an;
    get labelExtent(): number;
    set labelExtent(a: number);
    private aw;
    get startAngle(): number;
    set startAngle(a: number);
    private cf;
    get sweepDirection(): string;
    set sweepDirection(a: string);
    private bz;
    get othersCategoryFill(): string;
    set othersCategoryFill(a: string);
    private b0;
    get othersCategoryStroke(): string;
    set othersCategoryStroke(a: string);
    private aq;
    get othersCategoryStrokeThickness(): number;
    set othersCategoryStrokeThickness(a: number);
    private ap;
    get othersCategoryOpacity(): number;
    set othersCategoryOpacity(a: number);
    private b8;
    get selectedSliceFill(): string;
    set selectedSliceFill(a: string);
    private b9;
    get selectedSliceStroke(): string;
    set selectedSliceStroke(a: string);
    private av;
    get selectedSliceStrokeThickness(): number;
    set selectedSliceStrokeThickness(a: number);
    private au;
    get selectedSliceOpacity(): number;
    set selectedSliceOpacity(a: number);
    private h;
    get brushes(): string[];
    set brushes(a: string[]);
    private f;
    get actualBrushes(): string[];
    set actualBrushes(a: string[]);
    private n;
    get outlines(): string[];
    set outlines(a: string[]);
    private g;
    get actualOutlines(): string[];
    set actualOutlines(a: string[]);
    private bm;
    get labelFormat(): string;
    set labelFormat(a: string);
    private j;
    get labelFormatSpecifiers(): FormatSpecifierDescription[];
    set labelFormatSpecifiers(a: FormatSpecifierDescription[]);
    private b3;
    get othersLabelFormat(): string;
    set othersLabelFormat(a: string);
    private m;
    get othersLabelFormatSpecifiers(): FormatSpecifierDescription[];
    set othersLabelFormatSpecifiers(a: FormatSpecifierDescription[]);
    private bv;
    get legendLabelFormat(): string;
    set legendLabelFormat(a: string);
    private k;
    get legendLabelFormatSpecifiers(): FormatSpecifierDescription[];
    set legendLabelFormatSpecifiers(a: FormatSpecifierDescription[]);
    private bx;
    get legendOthersLabelFormat(): string;
    set legendOthersLabelFormat(a: string);
    private l;
    get legendOthersLabelFormatSpecifiers(): FormatSpecifierDescription[];
    set legendOthersLabelFormatSpecifiers(a: FormatSpecifierDescription[]);
    private bu;
    get legendItemTemplateRef(): string;
    set legendItemTemplateRef(a: string);
    private bt;
    get legendItemBadgeTemplateRef(): string;
    set legendItemBadgeTemplateRef(a: string);
    private ab;
    get isSurfaceInteractionDisabled(): boolean;
    set isSurfaceInteractionDisabled(a: boolean);
    private ac;
    get shouldDisplayMockData(): boolean;
    set shouldDisplayMockData(a: boolean);
    private ad;
    get shouldUseSkeletonStyleForMockData(): boolean;
    set shouldUseSkeletonStyleForMockData(a: boolean);
    private bj;
    get formatLabelRef(): string;
    set formatLabelRef(a: string);
    private bk;
    get formatLegendLabelRef(): string;
    set formatLegendLabelRef(a: string);
    private as;
    get pixelScalingRatio(): number;
    set pixelScalingRatio(a: number);
    private aj;
    get actualPixelScalingRatio(): number;
    set actualPixelScalingRatio(a: number);
    private ca;
    get selectionMode(): string;
    set selectionMode(a: string);
    private bb;
    get selectedItem(): any;
    set selectedItem(a: any);
    private o;
    get selectedItems(): any[];
    set selectedItems(a: any[]);
    private cg;
    get textStyle(): string;
    set textStyle(a: string);
    private bl;
    get labelClickRef(): string;
    set labelClickRef(a: string);
    private b5;
    get selectedItemChangingRef(): string;
    set selectedItemChangingRef(a: string);
    private b7;
    get selectedItemsChangingRef(): string;
    set selectedItemsChangingRef(a: string);
    private b4;
    get selectedItemChangedRef(): string;
    set selectedItemChangedRef(a: string);
    private b6;
    get selectedItemsChangedRef(): string;
    set selectedItemsChangedRef(a: string);
    private cb;
    get sliceClickRef(): string;
    set sliceClickRef(a: string);
    private cc;
    get sliceEnterRef(): string;
    set sliceEnterRef(a: string);
    private ce;
    get sliceLeaveRef(): string;
    set sliceLeaveRef(a: string);
    private cd;
    get sliceHoverRef(): string;
    set sliceHoverRef(a: string);
}
